QGIS Application - Bug report #15884
memory access exception at exit qgis 2.18
2016-11-23 05:53 AM - Jan Heckman

Status: Closed
Priority: High
Assignee:

Category: Build/Install

Affected QGIS version:2.18.0

Operating System: windows
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 23802

Description

Hi,

Have this minor problem with several versions of Qgis desktop w and wo grass.

The dump file is attached.

From a chance | got to attach a debugger (no symbols) | think it's not a nullptr, but a oneptr, pun intended.

At some point | believed | caused it by modifying etc/ini/python-core.bat by adding the (2nd) line:
SET PYTHONPATH=%0OSGEO4W_ROOT%\\apps\\qgis\\python;%PYTHONHOME%\\Lib\\site-packages;%PYTHONPATH%
to prevent python version mixup's, but | cannot get rid of the fault by removing the line.

OS: Win 7 64 (prof) and Win 10 64 (home)

Since | could not find a similar report (hope | didn't miss any), | filed this one.

Best regards
Jan

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-03-07 04:26 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Build/Install

Can you please add detailed steps on how to replicate or just try 2.18.4/master and see if this is still valid? thanks.

#3 - 2017-04-29 05:32 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
